﻿using Infragistics.Web.UI.Framework.AppStyling;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack) // If page loads for first time
        {
            Session["update"] = Server.UrlEncode(System.DateTime.Now.ToString());
        }

        if (Session["gridData"] == null)
        {
            Session["gridData"] = GetDataSource();
        }

        this.WebDataGrid1.DataSource = (DataTable)Session["gridData"];
    }


    public DataTable GetDataSource()
    {
        System.Data.DataTable table = new DataTable("Table");
        // Declare variables for DataColumn and DataRow objects.
        DataColumn column;
        DataRow row;

        // Create new DataColumn, set DataType, 
        // ColumnName and add to DataTable.    
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.Int32");
        column.ColumnName = "id";
        column.ReadOnly = true;
        // Add the Column to the DataColumnCollection.
        table.Columns.Add(column);

        // Create second column.
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.Int32");
        column.ColumnName = "Number";
        column.AutoIncrement = false;
        column.Caption = "Number";
        column.ReadOnly = false;
        column.Unique = false;
        // Add the column to the table. 
        table.Columns.Add(column);

        // Create third column.
        column = new DataColumn();
        column.DataType = System.Type.GetType("System.DateTime");
        column.ColumnName = "Date";
        column.AutoIncrement = false;
        column.Caption = "Date ";
        column.ReadOnly = false;
        column.Unique = false;
        // Add the column to the table.
        table.Columns.Add(column);


        // Make the ID column the primary key column.
        DataColumn[] PrimaryKeyColumns = new DataColumn[1];
        PrimaryKeyColumns[0] = table.Columns["id"];
        table.PrimaryKey = PrimaryKeyColumns;



        for (int i = 0; i <= 10; i++)
        {
            row = table.NewRow();
            row["id"] = i;
            row["Number"] = i;
            row["Date"] = DateTime.Now;
            table.Rows.Add(row);
        }
        return table;
    }

    protected void WebDataGrid1_InitializeRow(object sender, Infragistics.Web.UI.GridControls.RowEventArgs e)
    {
        if (e.Row.Index == 0)
        {
            e.Row.Items[1].Column.Hidden = true;

            //e.Row.Items[2].Column.CssClass = AppStylingManager.Settings.CssRegistry.Add("background-color : #9ecbd6", "tbody>tr>td.{0}", false);
            e.Row.Items[2].Column.CssClass = "customBg";
            e.Row.Items[2].Column.Header.Text = "asd";

        }
        this.WebDataGrid1.RequestFullAsyncRender();

    }
}